#!/bin/sh

LOGFILE=logs/generate-cvrf-logfile.txt

# On sundays we generate all of them.
mode="fast"
if [ "$(expr $(date +\%w) \% 7)" == "0" ] ; then
	echo "full CVRF regeneration"
	mode="all"
fi
perl bin/generate-cvrf.pl $mode >$LOGFILE 2>&1

# keep failed logs, and the last successful run to avoid filling the disk.
if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-cvrf.pl failed:"
	cat $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	#mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	#rm $LOGFILE
	touch $LOGFILE
fi

LOGFILE=logs/generate-csaf-logfile.txt

perl bin/generate-csaf.pl $mode >$LOGFILE 2>&1

if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-csaf.pl failed:"
	cat $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	#mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	#rm $LOGFILE
	touch $LOGFILE
fi

LOGFILE=logs/generate-osv-logfile.txt

perl bin/generate-osv.pl $mode >$LOGFILE 2>&1

if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-osv.pl failed:"
	cat $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	#mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	#rm $LOGFILE
	touch $LOGFILE
fi

LOGFILE=logs/generate-cvrf-publiccloud-logfile.txt

perl bin/generate-cvrf-publiccloud.pl >$LOGFILE 2>&1

# keep failed logs, and the last successful run to avoid filling the disk.
if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-cvrf-publiccloud.pl failed:"
	cat $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	#mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	#rm $LOGFILE
	touch $LOGFILE
fi

